/*
 *    SOAPServer.java
 *    Copyright (C) 2002 New Zealand Digital Library, http://www.nzdl.org
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.greenstone.gsdl3;

import org.greenstone.gsdl3.core.*;
import org.w3c.dom.Node;
/**
 * The server side of a SOAP connection
 *
 * @author <a href="mailto:kjdon@cs.waikato.ac.nz">Katherine Don</a>
 * @version $Revision: 3235 $
 * @see <a href="http://www.w3.org/TR/SOAP/">Simple Object Access Protocol (SOAP) 1.1 </a>
 */

public class SOAPServer
    implements ModuleInterface {
  
  /** The message router we're talking to */
    MessageRouter mr_=null;
  
  /** The no-args constructor */
    public SOAPServer() {
	mr_ = new MessageRouter();
	String site_home="/research/kjdon/gsdl3/sites/site2";
	mr_.setSiteHome(site_home);	
	mr_.configure();
	}
    
  /** Process a request */
    public String process(String xml_in) {
	return mr_.process(xml_in);
	
    }

    /** shouldn't be used, but need this to implement ModuleInterface */
    public Node process(Node xml_in) {
	return  mr_.process(xml_in);
    }
}

